Bug 982623 - xmvn: Wrong java path used by xmvn in search for tools.jar
xmvn: Wrong java path used by xmvn in search for tools.jar
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: javapackages-tools (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 08:29 EDT by Robert Rati
Modified: 2013-09-04 21:35 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.15.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 23:37:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Rati 2013-07-09 08:29:41 EDT
Description of problem:
XMvn appears to be using an incorrect java home path when looking for tools.jar.  Building projects with mvn-rpmbuild produces this error:

Could not find artifact com.sun:tools:jar:1.5.0 at specified path /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.9.x86_64/jre/../lib/tools.jar

The path to tools.jar is incorrect.

Version-Release number of selected component (if applicable):
xmvn-0.5.0-4.fc19.noarch

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Mikolaj Izdebski 2013-07-10 07:34:07 EDT
Fixed in xmvn-0.5.0-5
Comment 2 Fedora Update System 2013-07-10 07:49:15 EDT
xmvn-0.5.0-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xmvn-0.5.0-5.fc19
Comment 3 Mikolaj Izdebski 2013-07-10 07:51:50 EDT
I have tagged xmvn-0.5.0-5.fc19 into f19-override.
Comment 4 Fedora Update System 2013-07-10 13:29:33 EDT
javapackages-tools-0.15.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/javapackages-tools-0.15.0-2.fc19
Comment 5 Fedora Update System 2013-07-22 21:05:45 EDT
javapackages-tools-0.15.0-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Mikolaj Izdebski 2013-07-22 23:37:42 EDT
I believe that this bug is fixed in javapackages-tools-0.15.0-2,
which is available in updates for Fedora 19, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=432620
Comment 7 Fedora Update System 2013-09-04 21:35:39 EDT
xmvn-0.5.0-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.